# ModelDifferentialPrivacyCriterion (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Class ModelDifferentialPrivacyCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelImplicitCriterion
    - - org.deidentifier.arx.gui.model.ModelDifferentialPrivacyCriterion

- All Implemented Interfaces:
    java.io.Serializable

      public class ModelDifferentialPrivacyCriterion
      extends ModelImplicitCriterion

  This class implements a model for the (e,d)-DP criterion.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelDifferentialPrivacyCriterion()` Creates a new instance
    `ModelDifferentialPrivacyCriterion(double epsilon, double delta)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelDifferentialPrivacyCriterion` | `clone()` Clone
    `PrivacyCriterion` | `getCriterion(Model model)` Implement this to return the criterion.
    `double` | `getDelta()` Getter
    `double` | `getEpsilon()` Getter
    `DataGeneralizationScheme` | `getGeneralization()` Getter
    `java.lang.String` | `getLabel()` Implement this to return a string representation.
    `void` | `parse(ModelCriterion criterion, boolean _default)` Parse
    `void` | `setDelta(double delta)` Setter
    `void` | `setEpsilon(double epsilon)` Setter
    `void` | `setGeneralization(DataGeneralizationScheme generalization)` Setter
    `java.lang.String` | `toString()` Implement this to return a string representation.

    - ### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

      `isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelDifferentialPrivacyCriterion

          public ModelDifferentialPrivacyCriterion()

      Creates a new instance

    - #### ModelDifferentialPrivacyCriterion

          public ModelDifferentialPrivacyCriterion(double epsilon,
                                           double delta)

      Creates a new instance
      Parameters:
        `epsilon` -
        `delta` -

  - ### Method Detail

    - #### clone

          public ModelDifferentialPrivacyCriterion clone()

      Description copied from class: `ModelCriterion`
      Clone
      Specified by:
        `clone` in class `ModelCriterion`

    - #### getCriterion

          public PrivacyCriterion getCriterion(Model model)

      Description copied from class: `ModelCriterion`
      Implement this to return the criterion.
      Specified by:
        `getCriterion` in class `ModelCriterion`
      Returns:

    - #### getDelta

          public double getDelta()

      Getter
      Returns:

    - #### getEpsilon

          public double getEpsilon()

      Getter
      Returns:

    - #### getGeneralization

          public DataGeneralizationScheme getGeneralization()

      Getter
      Returns:

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from class: `ModelCriterion`
      Implement this to return a string representation.
      Specified by:
        `getLabel` in class `ModelCriterion`
      Returns:

    - #### parse

          public void parse(ModelCriterion criterion,
                   boolean _default)

      Description copied from class: `ModelCriterion`
      Parse
      Specified by:
        `parse` in class `ModelCriterion`
        `_default` - Defines whether the model represents a typical parameter configuration for the criterion

    - #### setDelta

          public void setDelta(double delta)

      Setter
      Parameters:
        `delta` -

    - #### setEpsilon

          public void setEpsilon(double epsilon)

      Setter
      Parameters:
        `epsilon` -

    - #### setGeneralization

          public void setGeneralization(DataGeneralizationScheme generalization)

      Setter
      Parameters:
        `generalization` -

    - #### toString

          public java.lang.String toString()

      Description copied from class: `ModelCriterion`
      Implement this to return a string representation.
      Specified by:
        `toString` in class `ModelCriterion`